Package io.dapr.v1

# Interface DaprProtos.GetConfigurationResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetConfigurationResponse`, `DaprProtos.GetConfigurationResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.GetConfigurationResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsItems(String key)`
`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`
`Map<String,CommonProtos.ConfigurationItem>`
`getItems()`
Deprecated.
`int`
`getItemsCount()`
`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`
`Map<String,CommonProtos.ConfigurationItem>`
`getItemsMap()`
`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`
`CommonProtos.ConfigurationItem`
`getItemsOrDefault(String key, CommonProtos.ConfigurationItem defaultValue)`
`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`
`CommonProtos.ConfigurationItem`
`getItemsOrThrow(String key)`
`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getItemsCount

int getItemsCount()
`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`

### containsItems

boolean containsItems(String key)
`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`

### getItems

@Deprecated Map<String,CommonProtos.ConfigurationItem> getItems()
Deprecated.
Use `getItemsMap()` instead.

### getItemsMap

Map<String,CommonProtos.ConfigurationItem> getItemsMap()
`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`

### getItemsOrDefault

CommonProtos.ConfigurationItem getItemsOrDefault(String key, CommonProtos.ConfigurationItem defaultValue)
`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`

### getItemsOrThrow

CommonProtos.ConfigurationItem getItemsOrThrow(String key)
`map<string, .dapr.proto.common.v1.ConfigurationItem> items = 1;`